import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

public class Button extends Actor
{
    private Board world;
    private String txt;
    
    public Button(String pTxt, Color pColor) {
        this(pTxt, pColor, 70);
    }
    
    public Button(String pTxt, Color pColor, int pSize) {
      txt = pTxt;
      GreenfootImage img = new GreenfootImage(txt, pSize, pColor, null);
      setImage(img);
    }
    
    public void addedToWorld(World pWorld) {
        world = (Board) pWorld;
    }
    
    public void act() {
        if(Greenfoot.mouseClicked(this)) {
            if(txt.equals("Y")) {
                world.restartLevel();
            }
            else if(txt.equals("N")) {
                world.gameOver();
            }
            else if(txt.equals("Save")) {
                world.saveCustomLevel(world.translateLevel());
            }
            else if(txt.equals("Load")) {
                world.loadCustomLevel();
            }
            else if(txt.equals("Play!")) {
                world.testLevel();
            }
            else if(txt.equals("Back")) {
                world.levelEditor();
            }
        }
    }
}