import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

public class EditorBrick extends Brick
{
    private boolean followsMouse;
    
    public EditorBrick(Color pColor, int pHits, boolean pDestroyable, boolean pFollows, char pLiteral) {
        super(pColor, pHits, pDestroyable, pLiteral);
        followsMouse = pFollows;
        width = 45;
        height = 20;
        updateImage(pColor);
    }
    
    public void act() {
        if(followsMouse && Greenfoot.mouseMoved(null)) {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            setLocation(mouse.getX(), mouse.getY());
        }
        if(Greenfoot.mouseClicked(this) && !followsMouse) {
            getWorld().addObject(new EditorBrick(color, hits, destroyable, true, literal), getX(), getY());
        }
        if(Greenfoot.mouseClicked(this) && followsMouse) {
            Actor actor = getOneObjectAtOffset(0, 0, Actor.class);
            if(actor != null && getX() < 465) {
                getWorld().addObject(new Brick(color, hits, destroyable, literal), actor.getX(), actor.getY());
                getWorld().removeObject(actor);
            }
            getWorld().removeObject(this);                 
        }
    }           
}
