import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.*;

public class Projectile extends Actor
{
    private static boolean mute;
    
    public Projectile() {
        GreenfootImage img = new GreenfootImage(5, 25);
        img.setColor(Color.white);
        img.fill();
        setImage(img);
    }
    
    public static void muteSound() {
        mute = !mute;
    }
    
    public void act() {
        if(getY() > 0) {
            setLocation(getX(), getY()-5);
            checkBrick();
        }
        else {
            getWorld().removeObject(this);
        }
    }
    
    private void checkBrick() {
        Brick brick = (Brick) getOneIntersectingObject(Brick.class);
        if (brick != null) {
            if(!mute) { Greenfoot.playSound("sounds/cling_2.wav"); }
            brick.hit();
            getWorld().removeObject(this);
        }
    }
}